summaryrefslogtreecommitdiff
path: root/al32-mktorrent.sh
diff options
context:
space:
mode:
authorSimon Doppler <dopsi@dopsi.ch>2017-09-03 19:17:35 +0200
committerSimon Doppler <dopsi@dopsi.ch>2017-09-03 19:28:21 +0200
commitdff3af881cb53d000ff1cf9a26ed732f58869acf (patch)
tree59b18450f5d6ca094b8d604e209a53fdb4d2872a /al32-mktorrent.sh
parent34d7026d699ed224819f140ec035220145c37c5d (diff)
downloadreleng-dff3af881cb53d000ff1cf9a26ed732f58869acf.tar.xz
Check for missing programs
Diffstat (limited to 'al32-mktorrent.sh')
-rw-r--r--al32-mktorrent.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/al32-mktorrent.sh b/al32-mktorrent.sh
index d4c5d19..3190f0c 100644
--- a/al32-mktorrent.sh
+++ b/al32-mktorrent.sh
@@ -95,6 +95,18 @@ function create_torrent_for_arch () {
python magnet2feed.py "$magnet_link" "$iso_date"
}
+### Check for if required programs are present
+
+which mktorrent 2>/dev/null || (
+ echo "Missing mktorrent"
+ exit 1
+)
+
+python -c "import feedgenerator" 2>/dev/null || (
+ echo "Missing python module feedgenerator"
+ exit 1
+)
+
### Actual program
declare -a architectures=("i686" "dual")